: ____________________________________________________________________________
:|                                                                            |
:|                   B I M O D E M   I N S T A L L A T I O N                  |
:|                                                                            |
:| This Batch file requires No Arguments.  You simply run the Batch file and  |
:| it will ask you to supply relevent information.  It assumes that you have  |
:| one of the following extraction programs:  ARC, ARCE, or PKXARC.  In order |
:| to run this install, you should have this Batch file and BIMODEM.ARC in a  |
:| a temporary directory by themselves.  It will leave a number of files in   |
:| this work directory so that BiModem may be installed to run with several   |
:| different communications programs, then the entire contents of this        |
:| work directory may be deleted when finished.  This will leave your disk as |
:| clean as possible, and will retain only the files necessary for your       |
:| environment.  It was designed to be easy, not necessarily impressive...    |
:|____________________________________________________________________________|

Echo off
if %1x==x goto NoArgs
if %2x==x goto NoArgs
if %3x==x goto NoArgs
if %4x==x goto NoArgs
if %1x==5x goto BBS
if %4x==1x goto Com1
if %4x==2x goto Com2
if %4x==3x goto Com3
if %4x==4x goto Com4
if %4x==5x goto Com5
if %4x==6x goto Com6
if %4x==7x goto Com7
if %4x==8x goto Com8
Echo Try running this batch file with no parameters and it will get them from you!
goto End
:Com1
Echo Installing BiModem for use with Com1
Echo ...
Copy BiMod.Cf1 BiModem.Cfg
goto PortSel
:Com2
Echo Installing BiModem for use with Com2
Echo ...
Copy BiMod.Cf2 BiModem.Cfg
goto PortSel
:Com3
Echo Installing BiModem for use with Com3
Echo ...
Copy BiMod.Cf3 BiModem.Cfg
goto PortSel
:Com4
Echo Installing BiModem for use with Com4
Echo ...
Copy BiMod.Cf4 BiModem.Cfg
goto PortSel
:Com5
Echo Installing BiModem for use with Com5
Echo ...
Copy BiMod.Cf5 BiModem.Cfg
goto PortSel
:Com6
Echo Installing BiModem for use with Com6
Echo ...
Copy BiMod.Cf6 BiModem.Cfg
goto PortSel
:Com7
Echo Installing BiModem for use with Com7
Echo ...
Copy BiMod.Cf7 BiModem.Cfg
goto PortSel
:Com8
Echo Installing BiModem for use with Com8
Echo ...
Copy BiMod.Cf8 BiModem.Cfg
:PortSel
if %1x==1x goto Telix
if %1x==2x goto Qmodem
if %1x==3x goto Procomm
if %1x==4x goto Other
:Telix
if not exist %2:%3\CS.Exe goto TlxError
Copy BiModem.Com %2:%3
Copy BiPath.Com %2:%3
Copy BiModem.Cfg %2:%3
Copy BiMod.Bat %2:%3
Copy BiBat.Com %2:%3
Copy BiMod.Slt %2:%3\BiModem.Slt
%2:
CD %3
CS BiModem.Slt
Cls
Echo BiModem installation Complete.
Echo - You should probably modify a macro key within Telix to execute the BiModem
Echo   Script. When in Telix, press Alt-K to set a macro Key.  Select a key you like
Echo   and specify:
Echo       @BiModem
Echo   Be sure to save the macro key file.
Echo - Get familiar with how to select bimodem on your favorite board.  It may
Echo   not be through normal Download/Upload options...
Echo - Press the hot key you defined above and you will be able to specify
Echo   the files you would like to transfer.  (See documentation for details on
Echo   the use of BiPath).
Echo - After exiting Bipath you will be asked to start bimodem on the Host (BBS)
Echo   system.  Enter the command(s) necessary to get bimodem started on the Host.
Echo - The script will detect when BiModem is running and execute it automatically
Echo   on your system.
goto end
:TlxError
Echo Telix CS.EXE Not found in the Telix Directory you specified.  Please Correct
Echo the directory specification and re-run.  If you keep your script files in a
Echo separate directory you should specify the Telix Directory and move the BiModem
Echo Script file yourself for proper installation.
goto end
:Qmodem
if not exist %2:%3\Qmodem.* goto QmError
Copy BiModem.Com %2:%3
Copy BiPath.Com %2:%3
Copy BiModem.Cfg %2:%3
Copy BiMod.Scr %2:%3\BiModem.Scr
Copy BiMod.Bat %2:%3
Copy BiBat.Com %2:%3
Cls
%2:
CD %3
Echo BiModem installation Complete.
Echo - You should probably modify a macro key within Qmodem to execute the BiModem
Echo   Script. Consult your Qmodem documentation on how to setup hot keys to execute
Echo   script files.  You may also specify the BiMod.Bat file to be executed.  In
Echo   place of the script file provided.
Echo - Get familiar with how to select bimodem on your favorite board.  It may
Echo   not be through normal Download/Upload options...
Echo - Press the hot key you defined above and you will be able to specify
Echo   the files you would like to transfer.  (See documentation for details on
Echo   the use of BiPath).
Echo - After exiting Bipath you will be asked to start bimodem on the Host (BBS)
Echo   system.  Enter the command(s) necessary to get bimodem started on the Host
Echo - The script will detect when BiModem is running and execute it automatically
Echo   on your system.
goto end
:QmError
Echo Qmodem.Exe Not found in the Qmodem Directory you specified.  Please Correct
Echo The directory specification and re-run.  If you keep your script files in a
Echo separate directory you should specify the Qmodem Directory and move the BiModem
Echo Script file yourself for proper installation.
goto end
:Procomm
if exist %2:%3\PCPlus*.* goto PcPlusOk
:PcPlusOk
Copy BiModem.Com %2:%3
Copy BiPath.Com %2:%3
Copy BiModem.Cfg %2:%3
Copy BiMod.Bat %2:%3
Copy BiBat.Com %2:%3
Copy BiMod.Asp %2:%3\BiModem.Asp
%2:
CD %3
Cls
Echo BiModem installation Complete.
Echo - You will have to set up a method for executing BiModem from Procomm.  2 ways
Echo   of doing this are:
Echo       1. Set up one of your hot keys to execute the BiMod.Bat file.
Echo       2. Execute the Aspect File BiModem by pressing Alt-F5
Echo - Get familiar with how to select bimodem on your favorite board.  It may
Echo   not be through normal Download/Upload options...
Echo - Select BiModem using one of the methods you selected above, to specify
Echo   the files you would like to transfer.  (See documentation for details on
Echo   the use of BiPath).
Echo - After exiting Bipath you will be asked to start bimodem on the Host (BBS)
Echo   system.  Enter the command(s) necessary to get bimodem started on the Host
Echo - The aspect will detect when BiModem is running and execute it
Echo   automatically on your system.
goto end
:PCError
Echo PCPlus.Exe not found in the Procomm Directory you specified.  Please Correct
Echo the directory specification and re-run.  If you keep your aspect files in a
Echo separate directory you should specify the Procomm Directory and move the BiModem
Echo Aspect file yourself for proper installation.
goto end
:Other
Copy BiModem.Com %2:%3
Copy BiPath.Com %2:%3
Copy BiModem.Cfg %2:%3
Copy BiMod.Bat %2:%3
Copy BiBat.Com %2:%3
%2:
CD %3
Cls
Echo BiModem installation Complete.
Echo - You will probably want to specify some method of running BiMod.Bat from
Echo   your communications program.  This will allow you to specify file transfers,
Echo   let you start up bimodem on the BBS, and then automatically start BiModem on
Echo   you system when it detects BiModem is running on the Host.
Echo - Get familiar with how to select bimodem on your favorite board.  It may
Echo   not be through normal Download/Upload options...
Echo - Execute BiMod.Bat from your communications program, and then specify
Echo   the files you would like to transfer.  (See documentation for details on
Echo   the use of BiPath).
Echo - After exiting Bipath you will be asked to start bimodem on the Host (BBS)
Echo   system.  Enter the command(s) necessary to get bimodem started on the Host
Echo - The batch file will detect when BiModem is running and run it automatically
Echo   on your system.
goto end
:OError
Echo Other CS.EXE Not found in the Other Directory you specified.  Please Correct
Echo The directory specification and re-run.  If you keep your script files in a
Echo separate directory you should specify the Other Directory and move the BiModem
Echo Script file yourself for proper installation.
goto end
:BBS
Copy BiModem.Cf1 %2:%3\BiModem.Cfg
Copy BiModem.Cf1 %2:%3
Copy BiModem.Com %2:%3
Copy BiPath.Com %2:%3
Cls
Echo If you specified something other than com1 you will definitly need to execute:
Echo      BiModem /I
Echo to change the com port setting... as you will want to review your setup anyway
Echo the com port setup was omitted for BBS's.
Echo .
Echo BiModem has been copied to your BBS directory.  It will require additional
Echo work on your part to set up as an external Protocol.  Opus Boards should
Echo Download BiOpus??.Arc from the Valley of the Sun BBS at (602)979-5720.
Echo Other BBS's will require their own customization.  You may inquire at the
Echo Board listed above to see if additional details are available.  There is
Echo a file area dedicated to BiModem on this board where users can upload
Echo their own script files and utilities for using BiModem.
Echo Be sure to read the documentation thoroughly, as there are many options
Echo you will want to set for your particular BBS.  The ones in your BiModem.Cfg
Echo File are set up for my BBS, but may not be the best ones for your BBS.
Echo Good Luck, and let me know how this works out for you.
goto end
:noargs
Cls
%Binst%
Echo Ŀ
Echo                               
Echo  BiModem Installation Program 
Echo ĳ
Echo                               
Echo  This installation provides   
Echo  a basic setup for several    
Echo  popular communications       
Echo  programs.  You will probably 
Echo  want to change your setup    
Echo  after using it for a while.  
Echo  We recommend a thorough      
Echo  reading of the documentation 
Echo  prior to making changes to   
Echo  this setup.                  
Echo  BBS sysops will want to      
Echo  read the documentation prior 
Echo  to setting up bimodem as an  
Echo  external protocol.  Good     
Echo  luck and happy modeming.     
Echo 
Pause
:Setup
Set Binst=GoTo SetError
bisetup
Set Binst=
if %1%2%3%4x==x goto end
echo BiModem is now setup for you...
Echo ...
Echo Be sure to print the documentation and review it prior to using BiModem
Echo Use the PrintDoc.Bat file included in the archive.
goto end
:SetError
Echo You must specify all fields on the screen please try again
Pause
goto Setup
:end
